﻿
using CommonMP.HYSSOP.CoreImpl.HSData;

namespace KyotoUnivEngHywr
{
	/// <summary><para>class outline:</para>
	/// <para>KyotoUniv.Hydrology ツール系モデル共通定義クラス</para>
	/// </summary>
	public class ToolDefine
	{
		
		/// <summary>システムデフォルトモデルファクトリ</summary>
		public static readonly HySID TOOL_LIB = new HySID("KyotoUnivEngHywr.Tool.Factory");
		/// <summary>モデルプロパティ設定画面用ファクトリクラス（独自画面作成時に必要）</summary>
		public static HySID PROPERTY_SCREEN_FACTORY_LIB_ID = new HySID("KyotoUnivEngHywr.Tool.PropertyScreenFactory");

		/// <summary>FileInputBasicモデル種別</summary>
        public static readonly HySObjectKind FILE_IN_KIND = new HySObjectKind("KyotoUnivEngHywr.FileInputBasic");
		/// <summary>KyotoUnivHydrologyFileInputBasicモデル名称</summary>
        public static readonly HySString FILE_IN_NAME = new HySString("KyotoUnivEngHywr.FileInputBasic");

		/// <summary>FileInputMatrixモデル種別</summary>
        public static readonly HySObjectKind FILE_IN_MATRIX_KIND = new HySObjectKind("KyotoUnivEngHywr.FileInputMatrix");
		/// <summary>FileInputMatrixモデル名称</summary>
        public static readonly HySString FILE_IN_MATRIX_NAME = new HySString("KyotoUnivEngHywr.FileInputMatrix");

		/// <summary>FileOutputBasicモデル種別</summary>
        public static readonly HySObjectKind FILE_OUT_KIND = new HySObjectKind("KyotoUnivEngHywr.FileOutputBasic");
		/// <summary>FileOutputBasicモデル名称</summary>
        public static readonly HySString FILE_OUT_NAME = new HySString("KyotoUnivEngHywr.FileOutputBasic");

		/// <summary>JointPointモデル種別</summary>
        public static readonly HySObjectKind JOINT_POINT_KIND = new HySObjectKind("KyotoUnivEngHywr.JointPoint");
		/// <summary>JointPointモデル名称</summary>
        public static readonly HySString JOINT_POINT_NAME = new HySString("KyotoUnivEngHywr.JointPoint");

		/// <summary>DivisionPointモデル種別</summary>
        public static readonly HySObjectKind DIVISION_POINT_KIND = new HySObjectKind("KyotoUnivEngHywr.DivisionPoint");
		/// <summary>DivisionPointモデル名称</summary>
        public static readonly HySString DIVISION_POINT_NAME = new HySString("KyotoUnivEngHywr.DivisionPoint");
		
		/// <summary>CompareDataモデル種別</summary>
        public static readonly HySObjectKind COMPARE_DATA_KIND = new HySObjectKind("KyotoUnivEngHywr.CompareData");
		/// <summary>CompareDataモデル名称</summary>
        public static readonly HySString COMPARE_DATA_NAME = new HySString("KyotoUnivEngHywr.CompareData");

		/// <summary>GenerateDataモデル種別</summary>
        public static readonly HySObjectKind GENERATE_DATA_KIND = new HySObjectKind("KyotoUnivEngHywr.GenerateData");
		/// <summary>GenerateDataモデル名称</summary>
        public static readonly HySString GENERATE_DATA_NAME = new HySString("KyotoUnivEngHywr.GenerateData");
		

		// ********************************
		// ===== DataPattern ========
		// ********************************
		/// <summary>下流端出力</summary>
		public static readonly HySID OUT_PATTERN_BOTTOM = new HySID("BottomOut");
		/// <summary> DivisionPoint 第二出力</summary>
		public static readonly HySID OUT_PATTERN_SECOND = new HySID("SecondOut");
		/// <summary> 任意</summary>
		public static readonly HySID IN_OUT_PATTERN_ANY = new HySID("ANY");
		/// <summary> FileInput2D 任意</summary>
		public static readonly HySID IN_OUT_PATTERN_2D = new HySID("ANY2D");

		/// <summary>CompareData 第1入力</summary>
		public static readonly HySID INPUT_1 = new HySID("Input1");
		/// <summary>CompareData 第2入力</summary>
		public static readonly HySID INPUT_2 = new HySID("Input2");
	}
}
